// Code generated by mockery v2.9.4. DO NOT EDIT.

package mocks

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
)

// LoggerRepository is an autogenerated mock type for the LoggerRepository type
type LoggerRepository struct {
	mock.Mock
}

// Store provides a mock function with given fields: ctx, s
func (_m *LoggerRepository) Store(ctx context.Context, s string) error {
	ret := _m.Called(ctx, s)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string) error); ok {
		r0 = rf(ctx, s)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
